This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 428245 - gnome-screensaver does not grab keyboard input
gnome-screensaver does not grab keyboard input
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 05:02 EST by Giacomo Montagner
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:45:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to correct the behaviour of gnome-screensaver (542 bytes, patch)
2008-01-10 05:02 EST, Giacomo Montagner
no flags Details | Diff

  None (edit)
Description Giacomo Montagner 2008-01-10 05:02:44 EST
Description of problem:

In brief: gnome-screensaver - while using compiz - does not grab keyboard input 
immediately when screen is locked, but for the first 30 seconds the input goes 
to the last window having focus before the lock. I leave the details on the 
bugreport I already reported to Debian some time ago: 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=446906

I did already report this on Debian, they gave me a patch. I tried to apply the 
same patch to the source RPM gnome-screensaver-2.20.0-10.fc8.src.rpm and it 
fixed the problem. 


Version-Release number of selected component (if applicable):

2.20.0-10.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start an X session which uses compiz
2. Lock the screen

  
Actual results:

The input box is unusable. If a terminal window had the focus 
before lock, anything you write on keyboard goes to the terminal window. After 
30s gnome-screensaver grabs the input again and you are able to unlock the 
screen. 

Expected results:

To be able to write the password in the text input box and unlock screen
immediately; keyboard input should be grabbed by gnome-screensaver and not from
compiz/other applications. 

Additional info:

I attach the patch which solved the problem (both under Debian and under Fedora)
Comment 1 Giacomo Montagner 2008-01-10 05:02:44 EST
Created attachment 291260 [details]
Patch to correct the behaviour of gnome-screensaver
Comment 2 Ray Strode [halfline] 2008-01-10 09:02:14 EST
Do you by any chance have the "unredirect fullscreen windows" option enabled ?
Comment 3 Giacomo Montagner 2008-01-10 09:22:58 EST
Yes, it's enabled. 
Comment 4 Bug Zapper 2008-11-26 04:22:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:45:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.